// Text colors
.text {
  &-white {
    color: $white !important;
  }
  &-black {
    color: $black !important;
  }
  &-gray {
    color: $gray !important;
  }
  &-orange {
    color: $orange !important;
  }
  &-green {
    color: $green !important;
  }
  &-red {
    color: $red !important;
  }
  &-lightBlue {
    color: $lightBlue !important;
  }
  &-purple {
    color: $purple !important;
  }
  &-darkBlue {
    color: $darkBlue !important;
  }
  &-darkBlue10 {
    color: $darkBlue10 !important;
  }
  &-grad-darkBlue-green {
    background: -webkit-linear-gradient(left, $darkBlue, $gradient_3_green); /* Farbverlauf von Rot nach Blau */
    -webkit-background-clip: text; /* Hinzufügen des Farbverlaufs zum Text */
    -webkit-text-fill-color: transparent; /* Transparenter Text, um den Farbverlauf sichtbar zu machen */
  }
}

// Background colors
.bg {
  &-white {
    background: $white !important;
  }
  &-white1 {
    background: $white1 !important;
  }
  &-black {
    background: $black !important;
  }
  &-orange {
    background: $orange !important;
  }
  &-green {
    background: $green !important;
  }
  &-red {
    background: $red !important;
  }
  &-lightBlue {
    background: $lightBlue !important;
  }
  &-purple {
    background: $purple !important;
  }
  &-darkBlue {
    background: $darkBlue !important;
  }
  &-darkBlue10 {
    background: $darkBlue10 !important;
  }
  &-transparent {
    background: $transparent !important;
  }
  // Background gradient colors
  &-grad{
    &-1{
      &-bottom, &-right, &-bottom-right, &-top-right,
      &-bottom-inverse, &-right-inverse, &-bottom-right-inverse, &-top-right-inverse {
        background-color: $gradient_1_darkBlue; /* For browsers that do not support gradients */
      }
      &-bottom {
        background-image: linear-gradient($gradient_1_darkBlue, $gradient_1_lightBlue);
        &-inverse {
          background-image: linear-gradient($gradient_1_lightBlue, $gradient_1_darkBlue);
        }
      }
      &-right {
        background-image: linear-gradient(to right, $gradient_1_darkBlue, $gradient_1_lightBlue);
        &-inverse {
          background-image: linear-gradient(to right, $gradient_1_lightBlue, $gradient_1_darkBlue);
        }
      }
      &-bottom-right {
        background-image: linear-gradient(to bottom right, $gradient_1_darkBlue, $gradient_1_lightBlue);
        &-inverse {
          background-image: linear-gradient(to bottom right, $gradient_1_lightBlue, $gradient_1_darkBlue);
        }
      }
      &-top-right {
        background-image: linear-gradient(to top right, $gradient_1_darkBlue, $gradient_1_lightBlue);
        &-inverse {
          background-image: linear-gradient(to top right, $gradient_1_lightBlue, $gradient_1_darkBlue);
        }
      }
    }
    &-2{
      &-bottom, &-right, &-bottom-right, &-top-right,
      &-bottom-inverse, &-right-inverse, &-bottom-right-inverse, &-top-right-inverse {
        background-color: $gradient_2_darkBlue; /* For browsers that do not support gradients */
      }
      &-bottom {
        background-image: linear-gradient($gradient_2_darkBlue, $gradient_2_purple);
        &-inverse {
          background-image: linear-gradient( $gradient_2_purple, $gradient_2_darkBlue);
        }
      }
      &-right {
        background-image: linear-gradient(to right, $gradient_2_darkBlue, $gradient_2_purple);
        &-inverse {
          background-image: linear-gradient(to right, $gradient_2_purple, $gradient_2_darkBlue);
        }
      }
      &-bottom-right {
        background-image: linear-gradient(to bottom right, $gradient_2_darkBlue, $gradient_2_purple);
        &-inverse {
          background-image: linear-gradient(to bottom right, $gradient_2_purple, $gradient_2_darkBlue);
        }
      }
      &-top-right {
        background-image: linear-gradient(to top right, $gradient_2_darkBlue, $gradient_2_purple);
        &-inverse {
          background-image: linear-gradient(to top right, $gradient_2_purple, $gradient_2_darkBlue);
        }
      }
    }
    &-3{
      &-bottom, &-right, &-bottom-right, &-top-right,
      &-bottom-inverse, &-right-inverse, &-bottom-right-inverse, &-top-right-inverse {
        background-color: $gradient_3_green; /* For browsers that do not support gradients */
      }
      &-bottom {
        background-image: linear-gradient($gradient_3_green, $gradient_3_lightGreen);
        &-inverse {
          background-image: linear-gradient($gradient_3_lightGreen, $gradient_3_green);
        }
      }
      &-right {
        background-image: linear-gradient(to right, $gradient_3_green, $gradient_3_lightGreen);
        &-inverse {
          background-image: linear-gradient(to right, $gradient_3_lightGreen, $gradient_3_green);
        }
      }
      &-bottom-right {
        background-image: linear-gradient(to bottom right, $gradient_3_green, $gradient_3_lightGreen);
        &-inverse {
          background-image: linear-gradient(to bottom right, $gradient_3_lightGreen, $gradient_3_green);
        }
      }
      &-top-right {
        background-image: linear-gradient(to top right, $gradient_3_green, $gradient_3_lightGreen);
        &-inverse {
          background-image: linear-gradient(to top right, $gradient_3_lightGreen, $gradient_3_green);
        }
      }
    }
    &-4{
      &-bottom, &-right, &-bottom-right, &-top-right,
      &-bottom-inverse, &-right-inverse, &-bottom-right-inverse, &-top-right-inverse {
        background-color: $gradient_4_darkGreen; /* For browsers that do not support gradients */
      }
      &-bottom {
        background-image: linear-gradient($gradient_4_darkGreen, $gradient_4_lightGreen);
        &-inverse {
          background-image: linear-gradient($gradient_4_lightGreen, $gradient_4_darkGreen);
        }
      }
      &-right {
        background-image: linear-gradient(to right, $gradient_4_darkGreen, $gradient_4_lightGreen);
        &-inverse {
          background-image: linear-gradient(to right, $gradient_4_lightGreen, $gradient_4_darkGreen);
        }
      }
      &-bottom-right {
        background-image: linear-gradient(to bottom right, $gradient_4_darkGreen, $gradient_4_lightGreen);
        &-inverse {
          background-image: linear-gradient(to bottom right, $gradient_4_lightGreen, $gradient_4_darkGreen);
        }
      }
      &-top-right {
        background-image: linear-gradient(to top right, $gradient_4_darkGreen, $gradient_4_lightGreen);
        &-inverse {
          background-image: linear-gradient(to top right, $gradient_4_lightGreen, $gradient_4_darkGreen);
        }
      }
    }
    &-5{
      &-bottom, &-right, &-bottom-right, &-top-right,
      &-bottom-inverse, &-right-inverse, &-bottom-right-inverse, &-top-right-inverse {
        background-color: $gradient_5_orange; /* For browsers that do not support gradients */
      }
      &-bottom {
        background-image: linear-gradient($gradient_5_orange, $gradient_5_yellow);
        &-inverse {
          background-image: linear-gradient($gradient_5_yellow, $gradient_5_orange);
        }
      }
      &-right {
        background-image: linear-gradient(to right, $gradient_5_orange, $gradient_5_yellow);
        &-inverse {
          background-image: linear-gradient(to right, $gradient_5_yellow, $gradient_5_orange);
        }
      }
      &-bottom-right {
        background-image: linear-gradient(to bottom right, $gradient_5_orange, $gradient_5_yellow);
        &-inverse {
          background-image: linear-gradient(to bottom right, $gradient_5_yellow, $gradient_5_orange);
        }
      }
      &-top-right {
        background-image: linear-gradient(to top right, $gradient_5_orange, $gradient_5_yellow);
        &-inverse {
          background-image: linear-gradient(to top right, $gradient_5_yellow, $gradient_5_orange);
        }
      }
    }
    &-6{
      &-bottom, &-right, &-bottom-right, &-top-right,
      &-bottom-inverse, &-right-inverse, &-bottom-right-inverse, &-top-right-inverse {
        background-color: $gradient_6_darkRed; /* For browsers that do not support gradients */
      }
      &-bottom {
        background-image: linear-gradient($gradient_6_darkRed, $gradient_6_red);
        &-inverse {
          background-image: linear-gradient($gradient_6_red, $gradient_6_darkRed);
        }
      }
      &-right {
        background-image: linear-gradient(to right, $gradient_6_darkRed, $gradient_6_red);
        &-inverse {
          background-image: linear-gradient($gradient_6_red, $gradient_6_darkRed);
        }
      }
      &-bottom-right {
        background-image: linear-gradient(to bottom right, $gradient_6_darkRed, $gradient_6_red);
        &-inverse {
          background-image: linear-gradient(to bottom right, $gradient_6_red, $gradient_6_darkRed);
        }
      }
      &-top-right {
        background-image: linear-gradient(to top right, $gradient_6_darkRed, $gradient_6_red);
        &-inverse {
          background-image: linear-gradient(to top right, $gradient_6_red, $gradient_6_darkRed);
        }
      }
    }
    &-7 {
      &-top-to-bottom {
        background-image: linear-gradient(180deg, $gradient_7_dark 0%, transparent 100%);
      }
    }
  }
}

.bg {
  &-hover-grad{
    &-1{
      &:hover,
      &.current {
        background-image: linear-gradient(to right, $gradient_1_darkBlue, $gradient_1_lightBlue);
      }
    }
    &-2{
      &:hover,
      &.current {
        background-image: linear-gradient(to right, $gradient_2_darkBlue, $gradient_2_purple);
      }
    }
    &-3{
      &:hover,
      &.current {
        background-image: linear-gradient(to right, $gradient_3_green, $gradient_3_lightGreen);
      }
    }
    &-4{
      &:hover,
      &.current {
        background-image: linear-gradient(to right, $gradient_4_darkGreen, $gradient_4_lightGreen);
      }
    }
    &-5{
      &:hover,
      &.current {
        background-image: linear-gradient(to right, $gradient_5_orange, $gradient_5_yellow);
      }
    }
    &-6{
      &:hover,
      &.current {
        background-image: linear-gradient(to right, $gradient_6_darkRed, $gradient_6_red);
      }
    }
  }
}